.header {
    background-color: var(--bg-secondary);
    border-bottom: 1px solid var(--bg-secondary);
    position: sticky;
    top: 0;
    z-index: 1000;
    min-height: var(--header-height);
    direction: ltr;
    
}
.header-container {
    max-width: var(--max-width);
    margin: 0 auto;
    padding: 20px 0px;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.logo {
    width: 5rem;
    height: auto;
    display: flex;
    transition: all 0.2s ease-in-out;
    color: white;
}

.logo:hover {
    color: var(--primary-color);
}

.nav-menu {
    display: flex;
    gap: 40px;
    justify-content: space-between;
    align-items: center;
    min-width: 400px;
    min-height: 100%;
}

.nav-menu a {
    font-size: 16px;
    font-weight: bold;
    color: var(--text-dark);
    transition: var(--transition);
    position: relative;
}

.nav-menu a:hover {
    color: var(--hover-color);
}

.nav-menu a::after {
    content: '';
    position: absolute;
    bottom: -5px;
    right: 0;
    width: 0;
    height: 2px;
    background-color: var(--hover-color);
    transition: var(--transition);
}

.nav-menu a:hover::after {
    width: 100%;
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 5px;
}

.hamburger span {
    width: 25px;
    height: 3px;
    background-color: var(--text-dark);
    transition: var(--transition);
}

.hamburger.active span:nth-child(1) {
    transform: rotate(45deg) translate(0px, 11px);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(0px, -11px);
}



@media (max-width: 768px) {
    .nav-menu {
        position: fixed;
        right: -100%;
        top: var(--header-height);
        flex-direction: column;
        background-color: var(--bg-color);
        width: 100%;
        text-align: center;
        transition: var(--transition);
        box-shadow: 0 10px 27px rgba(0, 0, 0, 0.05);
        padding: 30px 0;
        gap: 25px;
    }

    .nav-menu.active {
        right: 0;
    }

    .hamburger {
        display: flex;
    }
}


@media (max-width: 480px) {
    .header {
        height: 60px;
    }
    
    .header-container {
        padding: 0 15px;
        max-width: 100%;
    }
    
    .logo {
        width: 3.7rem;
    }
    
    .hamburger span {
        width: 22px;
        height: 2.5px;
    }
    
    .nav-menu {
        background-color: var(--bg-secondary);
        top: 60;
        padding: 20px 0;
        gap: 20px;
        justify-content: flex-start;
    }
    
    .nav-menu a {
        color: var(--text-color);
        background-color: var(--bg-color);
        font-size: 15px;
        width: 95%;
        border-radius: 3rem;
        padding: 8px 12px;
    }
}